%global provider com.mattjakeman.ExtensionManager

Name:           extension-manager
Version:        0.2.3
Release:        1%{?dist}
Summary:        A utility for browsing and installing GNOME Shell Extensions
# Main license is GPLv2+ in sources,
License:        GPLv2+
URL:            https://github.com/mjakeman/%{name}
Source0:        %{url}/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  pkgconfig(Qt6)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(libadwaita-1) >= 1.1
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(libsoup-3.0)
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib

Requires:       hicolor-icon-theme

%description
A native tool for browsing, installing, and managing GNOME Shell Extensions.
Written with GTK 4 and libadwaita.

%prep
%autosetup -p0 -n %{name}-%{version}

%build
%meson

%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/appdata/%{provider}.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop

%files -f %{name}.lang
%license COPYING
%doc README.md NEWS
%{_bindir}/%{name}
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/applications/%{provider}.desktop
%{_datadir}/appdata/%{provider}.appdata.xml
%{_datadir}/glib-2.0/schemas/%{provider}.gschema.xml
%{_datadir}/icons/hicolor/scalable/apps/%{provider}.svg

%changelog
* Fri Mar 11 2022 Martin Gansser <martinkg@fedoraproject.org> - 0.2.3-1
- Initial Build
